Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Interface TransportClientInitializer

All Known Implementing Classes:
  IIOPTransportClientInitializer

public interface TransportClientInitializer

Interface for creating sockets.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Method Summary
`Address[]` | `establishTransports(Address[] addresses)` Set the MessageTransport constructor for each of the addresses.

Method Detail

### establishTransports

    public Address[] establishTransports(Address[] addresses)

  Set the MessageTransport constructor for each of the addresses. All the addresses will be alternative endpoints from a single IOR profile.
  Returns:
    new list of addresses.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD